diff --git a/src/corelib/time/qtimezoneprivate_data_p.h b/src/corelib/time/qtimezoneprivate_data_p.h
index 6d2bbc83c1..ccf2234540 100644
--- a/src/corelib/time/qtimezoneprivate_data_p.h
+++ b/src/corelib/time/qtimezoneprivate_data_p.h
@@ -526,94 +525,94 @@ static const QWindowsData windowsDataTable[] = {
     {     26,   608,  7438,-14400 }, // Central Brazilian Standard Time
     {     27,   640,  1245,  3600 }, // Central Europe Standard Time
     {     28,   669,  1373,  3600 }, // Central European Standard Time
-    {     29,   700,  1464, 39600 }, // Central Pacific Standard Time
+    {     29,   700,  1460, 39600 }, // Central Pacific Standard Time
     {     30,   730,  7453,-21600 }, // Central Standard Time (Mexico)
     {     31,   761,  7473,-21600 }, // Central Standard Time
-    {     32,   783,  1843, 28800 }, // China Standard Time
-    {     33,   803,  1883, 45900 }, // Chatham Islands Standard Time
-    {     34,   833,  1899,-18000 }, // Cuba Standard Time
-    {     35,   852,  1914,-43200 }, // Dateline Standard Time
-    {     36,   875,  2015, 10800 }, // E. Africa Standard Time
+    {     32,   783,  1839, 28800 }, // China Standard Time
+    {     33,   803,  1879, 45900 }, // Chatham Islands Standard Time
+    {     34,   833,  1895,-18000 }, // Cuba Standard Time
+    {     35,   852,  1910,-43200 }, // Dateline Standard Time
+    {     36,   875,  2011, 10800 }, // E. Africa Standard Time
     {     37,   899,  7489, 36000 }, // E. Australia Standard Time
-    {     38,   926,  2168,  7200 }, // E. Europe Standard Time
-    {     39,   950,  2184,-10800 }, // E. South America Standard Time
-    {     40,   981,  2202,-21600 }, // Easter Island Standard Time
+    {     38,   926,  2164,  7200 }, // E. Europe Standard Time
+    {     39,   950,  2180,-10800 }, // E. South America Standard Time
+    {     40,   981,  2198,-21600 }, // Easter Island Standard Time
     {     41,  1009,  7508,-18000 }, // Eastern Standard Time
-    {     42,  1031,  2502,-18000 }, // Eastern Standard Time (Mexico)
-    {     43,  1062,  2517,  7200 }, // Egypt Standard Time
-    {     44,  1082,  2530, 18000 }, // Ekaterinburg Standard Time
-    {     45,  1109,  2549, 43200 }, // Fiji Standard Time
+    {     42,  1031,  2498,-18000 }, // Eastern Standard Time (Mexico)
+    {     43,  1062,  2513,  7200 }, // Egypt Standard Time
+    {     44,  1082,  2526, 18000 }, // Ekaterinburg Standard Time
+    {     45,  1109,  2545, 43200 }, // Fiji Standard Time
     {     46,  1128,  7525,  7200 }, // FLE Standard Time
-    {     47,  1146,  2696, 14400 }, // Georgian Standard Time
-    {     48,  1169,  2802,     0 }, // GMT Standard Time
-    {     49,  1187,  2849,-10800 }, // Greenland Standard Time
-    {     50,  1211,  2955,     0 }, // Greenwich Standard Time
-    {     51,  1235,  3124,  7200 }, // GTB Standard Time
-    {     52,  1253,  3141,-18000 }, // Haiti Standard Time
-    {     53,  1273,  3208,-36000 }, // Hawaiian Standard Time
-    {     54,  1296,  3242, 19800 }, // India Standard Time
-    {     55,  1316,  3256, 12600 }, // Iran Standard Time
-    {     56,  1335,  3268,  7200 }, // Israel Standard Time
-    {     57,  1356,  3283,  7200 }, // Jordan Standard Time
-    {     58,  1377,  3294,  7200 }, // Kaliningrad Standard Time
-    {     59,  1403,  3313, 32400 }, // Korea Standard Time
-    {     60,  1423,  3324,  7200 }, // Libya Standard Time
-    {     61,  1443,  3350, 50400 }, // Line Islands Standard Time
-    {     62,  1470,  3369, 37800 }, // Lord Howe Standard Time
-    {     63,  1494,  3389, 36000 }, // Magadan Standard Time
-    {     64,  1516,  3402,-10800 }, // Magallanes Standard Time
-    {     65,  1541,  3423,-34200 }, // Marquesas Standard Time
-    {     66,  1565,  3441, 14400 }, // Mauritius Standard Time
-    {     67,  1589,  3485,  7200 }, // Middle East Standard Time
-    {     68,  1615,  3497,-10800 }, // Montevideo Standard Time
-    {     69,  1640,  3516,     0 }, // Morocco Standard Time
+    {     47,  1146,  2692, 14400 }, // Georgian Standard Time
+    {     48,  1169,  2798,     0 }, // GMT Standard Time
+    {     49,  1187,  2845,-10800 }, // Greenland Standard Time
+    {     50,  1211,  2951,     0 }, // Greenwich Standard Time
+    {     51,  1235,  3120,  7200 }, // GTB Standard Time
+    {     52,  1253,  3137,-18000 }, // Haiti Standard Time
+    {     53,  1273,  3204,-36000 }, // Hawaiian Standard Time
+    {     54,  1296,  3238, 19800 }, // India Standard Time
+    {     55,  1316,  3252, 12600 }, // Iran Standard Time
+    {     56,  1335,  3264,  7200 }, // Israel Standard Time
+    {     57,  1356,  3279,  7200 }, // Jordan Standard Time
+    {     58,  1377,  3290,  7200 }, // Kaliningrad Standard Time
+    {     59,  1403,  3309, 32400 }, // Korea Standard Time
+    {     60,  1423,  3320,  7200 }, // Libya Standard Time
+    {     61,  1443,  3346, 50400 }, // Line Islands Standard Time
+    {     62,  1470,  3365, 37800 }, // Lord Howe Standard Time
+    {     63,  1494,  3385, 36000 }, // Magadan Standard Time
+    {     64,  1516,  3398,-10800 }, // Magallanes Standard Time
+    {     65,  1541,  3419,-34200 }, // Marquesas Standard Time
+    {     66,  1565,  3437, 14400 }, // Mauritius Standard Time
+    {     67,  1589,  3481,  7200 }, // Middle East Standard Time
+    {     68,  1615,  3493,-10800 }, // Montevideo Standard Time
+    {     69,  1640,  3512,     0 }, // Morocco Standard Time
     {     70,  1662,  7537,-25200 }, // Mountain Standard Time (Mexico)
     {     71,  1694,  7555,-25200 }, // Mountain Standard Time
-    {     72,  1717,  3725, 23400 }, // Myanmar Standard Time
-    {     73,  1739,  3738, 21600 }, // N. Central Asia Standard Time
-    {     74,  1769,  3755,  3600 }, // Namibia Standard Time
-    {     75,  1791,  3771, 20700 }, // Nepal Standard Time
-    {     76,  1811,  3804, 43200 }, // New Zealand Standard Time
-    {     77,  1837,  3821,-12600 }, // Newfoundland Standard Time
-    {     78,  1864,  3838, 39600 }, // Norfolk Standard Time
-    {     79,  1886,  3854, 28800 }, // North Asia East Standard Time
+    {     72,  1717,  3721, 23400 }, // Myanmar Standard Time
+    {     73,  1739,  3734, 21600 }, // N. Central Asia Standard Time
+    {     74,  1769,  3751,  3600 }, // Namibia Standard Time
+    {     75,  1791,  3767, 20700 }, // Nepal Standard Time
+    {     76,  1811,  3800, 43200 }, // New Zealand Standard Time
+    {     77,  1837,  3817,-12600 }, // Newfoundland Standard Time
+    {     78,  1864,  3834, 39600 }, // Norfolk Standard Time
+    {     79,  1886,  3850, 28800 }, // North Asia East Standard Time
     {     80,  1916,  7570, 25200 }, // North Asia Standard Time
-    {     81,  1941,  3902, 30600 }, // North Korea Standard Time
-    {     82,  1967,  3917, 21600 }, // Omsk Standard Time
-    {     83,  1986,  3927,-10800 }, // Pacific SA Standard Time
-    {     84,  2011,  4004,-28800 }, // Pacific Standard Time
+    {     81,  1941,  3898, 30600 }, // North Korea Standard Time
+    {     82,  1967,  3913, 21600 }, // Omsk Standard Time
+    {     83,  1986,  3923,-10800 }, // Pacific SA Standard Time
+    {     84,  2011,  3966,-28800 }, // Pacific Standard Time
     {     85,  2033,  7587,-28800 }, // Pacific Standard Time (Mexico)
-    {     86,  2064,  4061, 18000 }, // Pakistan Standard Time
-    {     87,  2087,  4074,-14400 }, // Paraguay Standard Time
-    {     88,  2110,  4091, 18000 }, // Qyzylorda Standard Time
-    {     89,  2134,  4140,  3600 }, // Romance Standard Time
-    {     90,  2156,  4180, 14400 }, // Russia Time Zone 3
-    {     91,  2175,  4194, 39600 }, // Russia Time Zone 10
+    {     86,  2064,  4023, 18000 }, // Pakistan Standard Time
+    {     87,  2087,  4036,-14400 }, // Paraguay Standard Time
+    {     88,  2110,  4053, 18000 }, // Qyzylorda Standard Time
+    {     89,  2134,  4102,  3600 }, // Romance Standard Time
+    {     90,  2156,  4142, 14400 }, // Russia Time Zone 3
+    {     91,  2175,  4156, 39600 }, // Russia Time Zone 10
     {     92,  2195,  7603, 43200 }, // Russia Time Zone 11
     {     93,  2215,  7618, 10800 }, // Russian Standard Time
-    {     94,  2237,  4428,-10800 }, // SA Eastern Standard Time
-    {     95,  2262,  4546,-18000 }, // SA Pacific Standard Time
-    {     96,  2287,  4697,-14400 }, // SA Western Standard Time
-    {     97,  2312,  5137,-10800 }, // Saint Pierre Standard Time
-    {     98,  2339,  5154, 39600 }, // Sakhalin Standard Time
-    {     99,  2362,  5168, 46800 }, // Samoa Standard Time
-    {    100,  2382,  5181,     0 }, // Sao Tome Standard Time
-    {    101,  2405,  5197, 14400 }, // Saratov Standard Time
-    {    102,  2427,  5315, 25200 }, // SE Asia Standard Time
-    {    103,  2449,  5436, 28800 }, // Singapore Standard Time
-    {    104,  2473,  5570,  7200 }, // South Africa Standard Time
-    {    105,  2500,  5633, 19800 }, // Sri Lanka Standard Time
-    {    106,  2524,  5646,  7200 }, // Sudan Standard Time
-    {    107,  2544,  5662,  7200 }, // Syria Standard Time
-    {    108,  2564,  5676, 28800 }, // Taipei Standard Time
+    {     94,  2237,  4390,-10800 }, // SA Eastern Standard Time
+    {     95,  2262,  4508,-18000 }, // SA Pacific Standard Time
+    {     96,  2287,  4659,-14400 }, // SA Western Standard Time
+    {     97,  2312,  5099,-10800 }, // Saint Pierre Standard Time
+    {     98,  2339,  5116, 39600 }, // Sakhalin Standard Time
+    {     99,  2362,  5130, 46800 }, // Samoa Standard Time
+    {    100,  2382,  5143,     0 }, // Sao Tome Standard Time
+    {    101,  2405,  5159, 14400 }, // Saratov Standard Time
+    {    102,  2427,  5277, 25200 }, // SE Asia Standard Time
+    {    103,  2449,  5381, 28800 }, // Singapore Standard Time
+    {    104,  2473,  5515,  7200 }, // South Africa Standard Time
+    {    105,  2500,  5578, 19800 }, // Sri Lanka Standard Time
+    {    106,  2524,  5591,  7200 }, // Sudan Standard Time
+    {    107,  2544,  5607,  7200 }, // Syria Standard Time
+    {    108,  2564,  5621, 28800 }, // Taipei Standard Time
     {    109,  2585,  7632, 36000 }, // Tasmania Standard Time
-    {    110,  2608,  5722,-10800 }, // Tocantins Standard Time
-    {    111,  2632,  5774, 32400 }, // Tokyo Standard Time
-    {    112,  2652,  5799, 25200 }, // Tomsk Standard Time
-    {    113,  2672,  5810, 46800 }, // Tonga Standard Time
-    {    114,  2692,  5828, 32400 }, // Transbaikal Standard Time
-    {    115,  2718,  5839,  7200 }, // Turkey Standard Time
-    {    116,  2739,  5855,-14400 }, // Turks And Caicos Standard Time
+    {    110,  2608,  5688,-10800 }, // Tocantins Standard Time
+    {    111,  2632,  5740, 32400 }, // Tokyo Standard Time
+    {    112,  2652,  5765, 25200 }, // Tomsk Standard Time
+    {    113,  2672,  5776, 46800 }, // Tonga Standard Time
+    {    114,  2692,  5794, 32400 }, // Transbaikal Standard Time
+    {    115,  2718,  5805,  7200 }, // Turkey Standard Time
+    {    116,  2739,  5821,-14400 }, // Turks And Caicos Standard Time
     {    117,  2770,  7649, 28800 }, // Ulaanbaatar Standard Time
     {    118,  2796,  7666,-18000 }, // US Eastern Standard Time
     {    119,  2821,  6060,-25200 }, // US Mountain Standard Time
